Page MenuHomePhabricator

elementary: enforce Efl.IoModel as a base type for fileselector.
ClosedPublic

Authored by cedric on Apr 18 2019, 4:23 PM.

Details

Summary

On the long run, we might just want to have an Efl.Model dedicated to
be used by fileselector and inherit Efl.IoModel from it. At the moment,
we don't, but I think it is still best to rely on this assumption to
make the fileselector code simpler.
Depends on D8653

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Apr 18 2019, 4:23 PM
cedric requested review of this revision.Apr 18 2019, 4:23 PM

@bu5hm4n I am thinking of adding an Efl.VFSModel or something along that line for Efl.IoModel to inherit from. Not exactly sure of the naming if you have suggestion.

bu5hm4n accepted this revision.Apr 20 2019, 5:58 AM

Mhm, if you update your patchset again, can you make the stements "return;" instead of "return ;" ?

I also see that there is no other way of doing this for now. But this will only error on runtime and not on compile time, i kind of do not like this. It would be super cool to have the possibility to Encode that type in a way that the c# bindings can handle the correct type at compile time.

This revision is now accepted and ready to land.Apr 20 2019, 5:58 AM

I also see that there is no other way of doing this for now. But this will only error on runtime and not on compile time, i kind of do not like this. It would be super cool to have the possibility to Encode that type in a way that the c# bindings can handle the correct type at compile time.

Yeah, but I really don't know how to do that without adding a new API which is kind of not a good idea. For the moment, I can only think of runtime check logic.

Yeah, but I really don't know how to do that without adding a new API which is kind of not a good idea. For the moment, I can only think of runtime check logic.

Lets add generics to eolian \o/

Closed by commit rEFL44fb906c4ffc: elementary: enforce Efl.IoModel as a base type for fileselector. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyApr 21 2019, 2:37 AM
This revision was automatically updated to reflect the committed changes.